/*Activates leds RB0..RB7 depending on the position of
microswitch SW1. If SW1=OFF, shifts leds RB0..RB7 and
activates and desactivates relay each second.
if SW1=ON turns leds and relay OFF.*/

#include <p18cxxx.h>
#include <delays.h>
#include "18F2550BOLT.h"

extern void _startup( void ); // See c018i.c in your C18 compiler dir 
#pragma code _RESET_INTERRUPT_VECTOR = 0x000800 
void _reset( void ) 
{ 
    _asm goto _startup _endasm 
} 

#pragma code
int i;

void main()
{
	ADCON1 = 0x0F; 
	TRISB=0;
	TRISA=0X3C;
	TRISC=0X0F;
		while(SW1==1)
		{
		PORTB=1;
			for(i=0;i<8;i++)
			{
			RELE=~ RELE; 
			delay_ms(200);
			PORTB=PORTB<<1;			
			}
		}
} 



